Bug 564495 - NPE in Tomcat plugin when setting HTTP Connector's Keep-Alive timeout
NPE in Tomcat plugin when setting HTTP Connector's Keep-Alive timeout
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: ews1.0.2 rhq_triage
  Show dependency treegraph
 
Reported: 2010-02-12 16:32 EST by Ondřej Žižka
Modified: 2013-09-02 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2010-02-12 16:32:24 EST
StR:
====

1) Go to the Tomcat 5 HTTP Connector / Configure / CURRENT
2) Set the Keep Alive Timeout value to something
3) Save
4) Go to HISTORY, see that operation. Scroll to the Keep-Alive property. You'll see the following stack trace:


java.lang.NullPointerException at org.rhq.plugins.jmx.MBeanResourceComponent.updateResourceConfiguration(MBeanResourceComponent.java:465) at org.rhq.plugins.jmx.MBeanResourceComponent.updateResourceConfiguration(MBeanResourceComponent.java:445) at org.jboss.on.plugins.tomcat.TomcatConnectorComponent.updateResourceConfiguration(TomcatConnectorComponent.java:224) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:585) at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525) at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269) at java.util.concurrent.FutureTask.run(FutureTask.java:123) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:651) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:676) at java.lang.Thread.run(Thread.java:595)


Note:  I did this with secured JMX if that matters; and set few other properties in the same operation.
Comment 1 wes hayutin 2010-02-16 11:58:47 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:03:31 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Heiko W. Rupp 2011-01-12 12:08:14 EST
Do you recall if that was for standalone tomcat or wihin AS? I guess the latter
Comment 7 Ondřej Žižka 2011-01-12 21:40:01 EST
Standalone Tomcat / EWS.
See https://issues.jboss.org/browse/JBPAPP-3755 .
Comment 9 Charles Crouch 2011-03-08 08:27:09 EST
Needs to be reproduced to see if it is still a problem
Comment 10 Ondřej Žižka 2011-03-15 20:18:35 EDT
Still happens. Re-assigning to cahrles.

JON 2.4.1
EWS 1.0.2
Tomcat 5.5




2011-03-15 20:15:43,467 INFO  [ResourceContainer.invoker.nonDaemon-15] (org.rhq.plugins.jmx.MBeanResourceComponent)- Failure setting MBean Resource configuration value
java.lang.NullPointerException
        at org.rhq.plugins.jmx.MBeanResourceComponent.updateResourceConfiguration(MBeanResourceComponent.java:472)
        at org.rhq.plugins.jmx.MBeanResourceComponent.updateResourceConfiguration(MBeanResourceComponent.java:452)
        at org.jboss.on.plugins.tomcat.TomcatConnectorComponent.updateResourceConfiguration(TomcatConnectorComponent.java:232)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:662)
Comment 11 Stefan Negrea 2011-10-14 17:32:04 EDT
This issues has been resolved around 2009. Also, I could not replicate it with the latest code.

Here is the git commit with the fix:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=ab2e3642e4a3790828d053461280d9384ee58668


Please retest.
Comment 12 Heiko W. Rupp 2013-09-02 03:26:25 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.